using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;


public partial class ucHeader : System.Web.UI.UserControl
{
    protected Telerik.WebControls.MenuItem SelectedPathItem;

    protected void Page_Load(object sender, EventArgs e)
    {

        MenuGroup TopGroup = new MenuGroup();
        TopGroup.Flow = PresentationDirection.Horizontal;
        Menu1.RootGroup = TopGroup;

        Telerik.WebControls.MenuItem TimeHeadItem1 = new Telerik.WebControls.MenuItem();
        TimeHeadItem1.Text = "Home";
        TimeHeadItem1.CssClass = "MenuItem";
        TimeHeadItem1.CssClassOver = "MenuItemOver";
        TimeHeadItem1.Href = "Default.aspx";

        TopGroup.AddItem(TimeHeadItem1);

        Telerik.WebControls.MenuItem TimeHeadItem2 = new Telerik.WebControls.MenuItem();
        TimeHeadItem2.Text = "Logoff";
        TimeHeadItem2.CssClass = "MenuItem";
        TimeHeadItem2.CssClassOver = "MenuItemOver";
        TimeHeadItem2.Href = "logoff.aspx";

        TopGroup.AddItem(TimeHeadItem2);
        
        GetSelectedPathItem(Menu1.RootGroup);
        if (SelectedPathItem != null)
        {
            SelectedPathItem.CssClass = "MenuItemClicked";            
        }
        
    }

    private void GetSelectedPathItem(MenuGroup Group)
    {
        if (SelectedPathItem != null)
        {
            return;
        }

        foreach (Telerik.WebControls.MenuItem Item in Group.Items)
        {
            if (Item.Href != null)
                if (Page.Request.RawUrl.ToLower().EndsWith(Item.Href.ToLower()))
                    SelectedPathItem = Item;
            if (Item.ChildGroup != null)
                GetSelectedPathItem(Item.ChildGroup);
        }
    }
}
